Summary:    Improved WHOIS client
Name:       whois
Version:    5.5.20
Release:    2%{?dist}
License:    GPLv2+
URL:        http://www.linux.it/~md/software/
Source0:    https://github.com/rfc1036/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc make perl-interpreter
BuildRequires:  coreutils gettext
BuildRequires:  pkgconfig(libidn2) >= 2.0.3
BuildRequires:  pkgconfig(libxcrypt) >= 4.1
BuildRequires:  perl(autodie) perl(strict) perl(warnings)

Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives

Requires:   whois-nls = %{version}-%{release}


%description
This client is intelligent and can automatically select the appropriate
whois server for most queries.

%package -n mkpasswd
Summary:    Encrypt a password with crypt(3) function using a salt
Requires:   whois-nls = %{version}-%{release}
Provides:   whois-mkpasswd = %{version}-%{release}

%description -n mkpasswd
This package provides mkpasswd tools which can encrypt a given password
with the crypt(3) libc function using a given salt.

%package nls
Summary:    Gettext catalogs for whois tools
BuildArch:  noarch

%description nls
This package provides whois tools messages translated into different natural languages.

%prep
%autosetup -p1

%build
%make_build CONFIG_FILE="%{_sysconfdir}/%{name}.conf" \
    HAVE_ICONV=1 \
    CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%{__global_ldflags}" INSTALL="install -p"

%install
make install-mkpasswd install-pos BASEDIR=%{buildroot}
make install-whois install-pos BASEDIR=%{buildroot}
install -p -m644 -D %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

mv %{buildroot}%{_bindir}/%{name}{,.md}
touch %{buildroot}%{_bindir}/%{name}
chmod 755 %{buildroot}%{_bindir}/%{name}
mv %{buildroot}%{_mandir}/man1/%{name}{,.md}.1
touch %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %{name}

%post
%{_sbindir}/update-alternatives \
    --install %{_bindir}/%{name} \
        %{name} %{_bindir}/%{name}.md 30 \
    --slave %{_mandir}/man1/%{name}.1.gz \
        %{name}-man %{_mandir}/man1/%{name}.md.1.gz 

%postun
if [ $1 -eq 0 ] ; then
    %{_sbindir}/update-alternatives --remove \
        %{name} %{_bindir}/%{name}.md
fi

%files
%license COPYING debian/copyright
%doc README debian/changelog
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}.md
%ghost %{_bindir}/%{name}
%{_mandir}/man1/%{name}.md.*
%ghost %{_mandir}/man1/%{name}.1.gz
%{_mandir}/man5/%{name}.conf.5.*

%files nls -f %{name}.lang

%files -n mkpasswd
%license COPYING debian/copyright
%doc README debian/changelog
%{_bindir}/mkpasswd
%{_mandir}/man1/mkpasswd.*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.20-2
- Rebuilt for loongarch release

* Thu Jan 11 2024 Upgrade Robot <upbot@opencloudos.org> - 5.5.20-1
- Upgrade to version 5.5.20

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.12-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.12-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 cunshunxia <cunshunxia@tencent.com> - 5.5.12-1
- initial build
